Bug 842367 - alx: no module for atheros ethernet card
alx: no module for atheros ethernet card
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: FutureFeature, Triaged
: 890508 895522 975294 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 11:03 EDT by Johann Suhm
Modified: 2014-02-18 12:43 EST (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 08:57:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johann Suhm 2012-07-23 11:03:51 EDT
Description of problem:

After a fresh install of Fedora 17 x86_64 DVD, the ethernet card is not avalaible.
I tried after updates, same issue.

Version-Release number of selected component (if applicable):

The laptop is a DELL Vostro 3360 with these network interfaces :
# lspci
(...)
01:00.0 Network controller: Atheros Communications Inc. Device 0034 (rev 01)
02:00.0 Ethernet controller: Atheros Communications Device 1091 (rev 10)


How reproducible:

Steps to Reproduce:
1. install Fedora 17 DVD
2. check if an ehternet card is present with 'ifconfig -a'
  
Actual results:
# ifconfig -a
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Boucle locale)
        RX packets 227  bytes 14356 (14.0 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 227  bytes 14356 (14.0 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

wlan0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.41.42  netmask 255.255.255.0  broadcast 192.168.41.255
        inet6 fe80::aed:b9ff:fe22:6a85  prefixlen 64  scopeid 0x20<link>
        ether 08:ed:b9:22:6a:85  txqueuelen 1000  (Ethernet)
        RX packets 10267  bytes 11047370 (10.5 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 7833  bytes 879603 (858.9 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0


Expected results:
# ifconfig -a
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Boucle locale)
        RX packets 227  bytes 14356 (14.0 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 227  bytes 14356 (14.0 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

p4p1: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether 84:8f:69:d2:01:4d  txqueuelen 1000  (Ethernet)
        RX packets 154856  bytes 134914611 (128.6 MiB)
        RX errors 0  dropped 1  overruns 0  frame 0
        TX packets 59400  bytes 4503526 (4.2 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 6  collisions 0
        device interrupt 16  

wlan0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.41.42  netmask 255.255.255.0  broadcast 192.168.41.255
        inet6 fe80::aed:b9ff:fe22:6a85  prefixlen 64  scopeid 0x20<link>
        ether 08:ed:b9:22:6a:85  txqueuelen 1000  (Ethernet)
        RX packets 10267  bytes 11047370 (10.5 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 7833  bytes 879603 (858.9 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
Comment 1 Johann Suhm 2012-07-23 11:08:40 EDT
The only way I found to make it work is to compile the alx module found on linuxfoundation.org : http://www.linuxfoundation.org/collaborate/workgroups/networking/alx

1. install or update packages :
    sudo yum update kernel kernel-headers kernel-devel gcc
2. download the module and untar it.
3. compile the module :
    ./scripts/driver-select alx
    make
    sudo make install
    sudo modprobe alx

Note : have to recompile the module each time the kernel is updated.
Comment 2 Josh Boyer 2012-07-23 16:54:46 EDT
That driver, as far as I can tell, isn't actually going to get merged in the kernel anytime soon:

http://article.gmane.org/gmane.linux.kernel/1259711

It seems upstream prefers support be added to the existing atl1c/atl1e driver, or a smaller driver for truly new hardware be submitted.  I haven't seen either as of yet.
Comment 3 Nilton Moura 2012-08-13 01:43:50 EDT
Hi. I tested this alx driver on Vostro 3460, and the interface works just for a while. It stops to work, needing a reboot to work again.

When the interface stops, it appears to be online, but don't transfer any packet. Actually, if I try to ping this interface, I got "No route to host". Offline but appear online, with "Link detected = yes" on ethtool.
Comment 4 SilencioUnico 2012-10-29 08:15:52 EDT
Hi Everyone!. I have a Vostro 3460 and i try to use the information in this post hoping my chipset will work, but it didnt. I have downloaded the latest alx module compat-wireless-2012-10-28-p.tar.bz2
I untar it, and when i write in a terminal this is the answer
[root@xochipilli compat-wireless-2012-10-28-p]# ./scripts/driver-select alx
Processing new driver-select request...
Backup exists: Makefile.bk
Unsupported driver

I use a 1969:1091 - AR8161 Gigabit Ethernet

Someone has an idea of which is the problem?
I just can connect to internet using a usb port connected to the router.

Thanks
Comment 5 Alexey Torkhov 2012-11-12 06:55:06 EST
(In reply to comment #4)
> Hi Everyone!. I have a Vostro 3460 and i try to use the information in this
> post hoping my chipset will work, but it didnt. I have downloaded the latest
> alx module compat-wireless-2012-10-28-p.tar.bz2
> I untar it, and when i write in a terminal this is the answer
> [root@xochipilli compat-wireless-2012-10-28-p]# ./scripts/driver-select alx
> Processing new driver-select request...
> Backup exists: Makefile.bk
> Unsupported driver
> 
> I use a 1969:1091 - AR8161 Gigabit Ethernet
> 
> Someone has an idea of which is the problem?

Patch that contains alx driver is in "crap" category. You need use compat-wireless/compat-drivers with "c" letter in filename. Like compat-wireless-2012-10-28-pc.tar.bz2 or similar.
Comment 6 SilencioUnico 2012-11-12 10:35:17 EST
Hi everyone. It seems the problem was not the module alx, 
Yesterday when i was trying to make the things work, i realize in a post that someone have kind of similar problem. So he make
dmesg | grep firmware
And, as me, he didnt have the firmware. So the only thing i did was>


 yum install iwl2030-firmware.noarch

Then i follow the steps for installing the compat-wireless-2012-10-28-p.tar.bz2 and everything work perfect. 
So, thanks Alexey for comment!, 
and i hope this information will be useful for someone
Comment 7 SilencioUnico 2012-11-12 10:36:16 EST
Hi everyone. It seems the problem was not the module alx, 
Yesterday when i was trying to make the things work, i realize in a post that someone have kind of similar problem. So he make
dmesg | grep firmware
And, as me, he didnt have the firmware. So the only thing i did was>


 yum install iwl2030-firmware.noarch

Then i follow the steps for installing the compat-wireless-2012-10-28-p.tar.bz2 and everything work perfect. 
So, thanks Alexey for comment!, 
and i hope this information will be useful for someone
Comment 8 domel90 2012-12-05 17:21:37 EST
Hi

I have 3.6.8-2.fc17.x86_64 kernel and I'm trying to install compat-wireless-3.6.8-1-snpc modules.

I have exctracted the file, 
I have done ./scripts/driver-select alx

Backup exists: Makefile.bk
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
Backup exists: drivers/net/ethernet/atheros/Makefile.bk
Backup exists: Makefile.bks 
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk

And when I'm doing make, I get the response

make: *** /lib/modules/3.6.8-2.fc17.x86_64/build: No such file or directory.  Stop.
make: *** [modules] Error 2

What is wrong?
Is this connected with this that I don'h have 3.6.8-1 kernell ???
Comment 9 domel90 2012-12-05 18:13:37 EST
Ok I suppose that I have to install broken packages 
kernel-devel and kernel-headers
Comment 10 Josh Boyer 2013-01-02 13:08:46 EST
Moving this to rawhide.  When the alx module is integrated upstream, we'll enable it.
Comment 11 Josh Boyer 2013-01-03 11:17:52 EST
*** Bug 890508 has been marked as a duplicate of this bug. ***
Comment 12 moshe nahmias 2013-01-04 15:33:18 EST
Hi,
I have a lenovo g780 with the same card with fedora 18 and it doesn't work, not with the alx module and not with the atl1c as I saw on google.

some info:
[moshe@localhost ~]$ lspci | grep Ethernet
01:00.0 Ethernet controller: Atheros Communications Inc. AR8162 Fast Ethernet (rev 08)

[moshe@localhost ~]$ sudo lshw -c network
[sudo] password for moshe: 
  *-network UNCLAIMED     
       description: Ethernet controller
       product: AR8162 Fast Ethernet
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:01:00.0
       version: 08
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi msix bus_master cap_list
       configuration: latency=0
       resources: memory:e0500000-e053ffff ioport:2000(size=128)
  *-network
       description: Network controller
       product: BCM4313 802.11b/g/n Wireless LAN Controller
       vendor: Broadcom Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 01
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=bcma-pci-bridge latency=0
       resources: irq:17 memory:e0400000-e0403fff
  *-network
       description: Wireless interface
       physical id: 3
       logical name: wlan0
       serial: c0:14:3d:cd:4b:39
       capabilities: ethernet physical wireless
       configuration: broadcast=yes driver=brcmsmac driverversion=3.6.11-3.fc18.x86_64 firmware=N/A ip=192.168.1.102 link=yes multicast=yes wireless=IEEE 802.11bgn

I tried to install the firmware but it's already installed so that is not the reason for my problem.

any seggestions?
Comment 13 moshe nahmias 2013-01-05 05:39:53 EST
OK, checked again and now it works.
The reason it didn't work was because I entered the system nor from the version I did the operation on but a newer one.
Now that I go to the right version of kernel it works fine.
Comment 14 Josh Boyer 2013-01-15 09:41:24 EST
*** Bug 895522 has been marked as a duplicate of this bug. ***
Comment 15 lwpiotr 2013-01-16 22:02:29 EST
I got it working with modified 
http://www.kernel.org/pub/linux/kernel/projects/backports/2012/12/19/compat-drivers-2012-12-19-u.tar.bz2

I had to modify alx driver, 

/compat-drivers-2012-12-19-u/drivers/net/ethernet/atheros/alx/

Then ./scripts/driver-select alx
make
make install
modprobe alx

These are the modifications:
diff alx_reg.h ../alx_reg.h
30a31
> #define ALX_DEV_ID_MINE            0xe091

diff alx_main.c ../alx_main.c
60a61
>     ALX_ETHER_DEVICE(ALX_DEV_ID_MINE),
1027a1029
>     case ALX_DEV_ID_MINE:
Comment 16 markusN 2013-02-20 16:31:09 EST
I have a new ASUS VivoBook S200E, same ethernet problem (wireless works out of the box on F18):

[root@oboe neteler]# uname -a
Linux oboe.localdomain 3.7.8-202.fc18.x86_64 #1 SMP Fri Feb 15 17:33:07 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@oboe neteler]# lshw -c network
  *-network               
       description: Wireless interface
       product: AR9485 Wireless Network Adapter
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlan0
       version: 01
       serial: 20:16:d8:b4:4a:a3
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list rom ethernet physical wireless
       configuration: broadcast=yes driver=ath9k driverversion=3.7.8-202.fc18.x86_64 firmware=N/A ip=192.168.1.2 latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn
       resources: irq:17 memory:f7d00000-f7d7ffff memory:f7d80000-f7d8ffff
  *-network UNCLAIMED
       description: Ethernet controller
       product: AR8162 Fast Ethernet
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:03:00.0
       version: 10
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi msix bus_master cap_list
       configuration: latency=0
       resources: memory:f7c00000-f7c3ffff ioport:e000(size=128)


Thanks to the comment #15 by lwpiotr I got it running, even without patch:


wget http://www.kernel.org/pub/linux/kernel/projects/backports/2013/02/20/compat-drivers-2013-02-20-u.tar.bz2
tar xvfj compat-drivers-2*.bz2
rm -f compat-drivers-2*.bz2
cd compat-drivers-*
./scripts/driver-select alx
make && make install
modprobe alx
echo "eth should be ok now."

# ... so it is:
ifconfig 
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 2193  bytes 71557 (69.8 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 2193  bytes 71557 (69.8 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

p3p1: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether 50:46:5d:44:ea:f4  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 19  

wlan0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.1.2  netmask 255.255.255.0  broadcast 192.168.1.255
...


[root@oboe ~]# lshw -c network
  *-network               
       description: Wireless interface
       product: AR9485 Wireless Network Adapter
       vendor: Atheros Communications Inc.
...
       resources: irq:17 memory:f7d00000-f7d7ffff memory:f7d80000-f7d8ffff
  *-network
       description: Ethernet interface
       product: AR8162 Fast Ethernet
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: p3p1
       version: 10
       serial: 50:46:5d:44:ea:f4
       capacity: 100Mbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi msix bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=alx driverversion=1.2.2 firmware=N/A latency=0 link=no multicast=yes port=twisted pair
       resources: irq:19 memory:f7c00000-f7c3ffff ioport:e000(size=128)
Comment 17 Marcelo Barbosa "firemanxbr" 2013-02-21 07:49:17 EST
markusN,

   I running this steps and result SUCESS, evidences:

[root@firelap ~]# cat /etc/redhat-release 
Fedora release 18 (Spherical Cow)

[root@firelap ~]# uname -a
Linux firelap.usc.intra 3.7.9-201.fc18.x86_64 #1 SMP Mon Feb 18 21:07:56 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@firelap ~]# lshw -c Network
  *-network DISABLED      
       description: Wireless interface
       product: AR9485 Wireless Network Adapter
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:07:00.0
       logical name: wlan0
       version: 01
       serial: e0:06:e6:d0:09:15
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list rom ethernet physical wireless
       configuration: broadcast=yes driver=ath9k driverversion=3.7.9-201.fc18.x86_64 firmware=N/A latency=0 link=no multicast=yes wireless=IEEE 802.11bgn
       resources: irq:19 memory:f7d00000-f7d7ffff memory:f7d80000-f7d8ffff
  *-network
       description: Ethernet interface
       product: AR8162 Fast Ethernet
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:09:00.0
       logical name: p5p1
       version: 10
       serial: 78:45:c4:b0:89:95
       size: 100Mbit/s
       capacity: 100Mbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi msix bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=alx driverversion=1.2.2 duplex=full firmware=N/A ip=172.16.255.43 latency=0 link=yes multicast=yes port=twisted pair speed=100Mbit/s
       resources: irq:17 memory:f7c00000-f7c3ffff ioport:d000(size=128)

[root@firelap ~]# ifconfig 
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 22284  bytes 6159711 (5.8 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 22284  bytes 6159711 (5.8 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

p5p1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.16.255.43  netmask 255.255.255.192  broadcast 172.16.255.63
        inet6 fe80::7a45:c4ff:feb0:8995  prefixlen 64  scopeid 0x20<link>
        ether 78:45:c4:b0:89:95  txqueuelen 1000  (Ethernet)
        RX packets 3159  bytes 1482588 (1.4 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 2297  bytes 780471 (762.1 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 17  

your solution it's perfect !!!
thank you
Comment 18 Marc Ponschab 2013-02-21 07:52:01 EST
For me not, see:

https://bugzilla.kernel.org/show_bug.cgi?id=51671#c10
Comment 19 Marcelo Barbosa "firemanxbr" 2013-02-21 08:08:53 EST
More contribution:

   My laptop model view in dmesg:

[    0.000000] DMI: Dell Inc. Inspiron 5423/0YW78J, BIOS A06 09/17/2012

   But in Brazil model is: Dell Inspiron 14z

   This is state perfect functional.
Comment 20 Tristan Santore 2013-02-22 13:44:58 EST
I can confirm that the backports tar ball,
http://www.kernel.org/pub/linux/kernel/projects/backports/2013/02/20/compat-drivers-2013-02-20-u.tar.bz2
works for a Asus N56V range laptop too, specifically Asus N56VZ.
Some other backports would not compile.

04:00.0 Ethernet controller: Atheros Communications Inc. AR8161 Gigabit Ethernet (rev 10)

To compile and install:

wget http://www.kernel.org/pub/linux/kernel/projects/backports/2013/02/20/compat-
drivers-2013-02-20-u.tar.bz2
tar -xjf http://www.kernel.org/pub/linux/kernel/projects/backports/2013/02/20/compat-drivers-2013-02-20-u.tar.bz2
cd compat-drivers-2013-02-20-u
./scripts/driver-select alx
make
su
make install
modprobe alx
Comment 21 Phil V 2013-02-28 00:46:52 EST
Hi, what is the current recommendation for enabling the Atheros AR8161 Gigabit Ethernet Controller in a (new) Toshiba P870 series laptop?

I have installed Fedora 18 from DVD and invoked 'yum update'. 
If the needed updates are in rawhide, how do I install them?
Comment 22 Tristan Santore 2013-02-28 00:51:53 EST
http://fedoraproject.org/wiki/Common_F18_bugs#Atheros_AR8161_based_network_cards.2Fchipsets_are_not_usable.2C_due_to_missing_ALX_kernel_module

or comment #20

Please note you will have to do this every time the kernel is updated.
I will update the common bugs entry soon to reflect that.
Comment 23 Phil V 2013-02-28 01:54:35 EST
Tristan, in your instructions please clarify how much of the instructions will need to be repeated with every kernel upgrade. Will we need to find a new download file each time? Or just reissue "make; make install; modprobe..."?
Comment 24 Phil V 2013-03-09 13:18:13 EST
I found this worked for 3.8.1-201.fc18.x86_64 but when I tried the same process on the original Fedora 18 kernel 3.6.10-4.fc18.x86_64 I received the errors below.

(1) Should this work? 

(2) Do you have to do the recompile every time you boot into a different kernel or is there a simple way of keeping the various modules around and using the appropriate one?

mv compat-drivers-2013-02-20-u compat-drivers-2013-02-20-u-prev-used
tar -xjf compat-drivers-2013-02-20-u.tar.bz2 
[a@localhost ~]$ cd compat-drivers-2013-02-20-u
[a@localhost compat-drivers-2013-02-20-u]$ ./scripts/driver-select alx
Processing new driver-select request...
Backing up makefile: Makefile.bk
Backup exists: Makefile.bk
Backing up makefile: drivers/net/ethernet/broadcom/Makefile.bk
Backing up makefile: drivers/net/ethernet/atheros/Makefile.bk
Backup exists: Makefile.bk
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk


$ make
./scripts/gen-compat-autoconf.sh /home/a/compat-drivers-2013-02-20-u/.config /home/a/compat-drivers-2013-02-20-u/config.mk > include/linux/compat_autoconf.h
make -C /lib/modules/3.6.10-4.fc18.x86_64/build M=/home/a/compat-drivers-2013-02-20-u modules
make[1]: Entering directory `/usr/src/kernels/3.6.10-4.fc18.x86_64'
  CC [M]  /home/a/compat-drivers-2013-02-20-u/compat/main.o
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:118:59: error: redefinition of ‘nla_put_s8’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:901:59: note: previous definition of ‘nla_put_s8’ was here
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:129:59: error: redefinition of ‘nla_put_s16’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:912:59: note: previous definition of ‘nla_put_s16’ was here
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:140:59: error: redefinition of ‘nla_put_s32’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:923:59: note: previous definition of ‘nla_put_s32’ was here
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:151:59: error: redefinition of ‘nla_put_s64’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:934:59: note: previous definition of ‘nla_put_s64’ was here
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:160:59: error: redefinition of ‘nla_get_s32’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:1058:59: note: previous definition of ‘nla_get_s32’ was here
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:169:59: error: redefinition of ‘nla_get_s16’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:1067:59: note: previous definition of ‘nla_get_s16’ was here
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:178:58: error: redefinition of ‘nla_get_s8’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:1076:58: note: previous definition of ‘nla_get_s8’ was here
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70:0,
                 from <command-line>:1:
/home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:188:59: error: redefinition of ‘nla_get_s64’
In file included from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-3.7.h:16:0,
                 from /home/a/compat-drivers-2013-02-20-u/include/linux/compat-2.6.h:70,
                 from <command-line>:1:
include/net/netlink.h:1085:59: note: previous definition of ‘nla_get_s64’ was here
make[3]: *** [/home/a/compat-drivers-2013-02-20-u/compat/main.o] Error 1
make[2]: *** [/home/a/compat-drivers-2013-02-20-u/compat] Error 2
make[1]: *** [_module_/home/a/compat-drivers-2013-02-20-u] Error 2
make[1]: Leaving directory `/usr/src/kernels/3.6.10-4.fc18.x86_64'
make: *** [modules] Error 2
Comment 25 Tristan Santore 2013-03-09 13:54:02 EST
No, this will only work for the 3.8 kernel branch. There are other compat tar balls for other kernel branches.

I have updated the common bugs entry to show how to recompile against newer kernels. I will now add a warning, stating that this only works for 3.8.

Tristan
Comment 26 Tristan Santore 2013-03-09 13:59:41 EST
I should have stated, it might work, but I only tested on the newer 3.8 kernel branches. So, I will assume, that it does not work, if it does, please let me know, and I shall update the common bugs entry accordingly.
Thank you.
Comment 27 Phil V 2013-03-09 21:11:32 EST
ok, thanks for clarifying.

The adapter seems to work now, but:
Does it matter that when I 'make install' on 3.8.1 I get two messages
'Can't read private key'
and some messages about invalid modprobe options?



[root@localhost compat-drivers-2013-02-20-u]# make install
Updating Fedora's initramfs for 3.8.1-201.fc18.x86_64 under /boot/ ...

make -C /lib/modules/3.8.1-201.fc18.x86_64/build M=/home/a/compat-drivers-2013-02-20-u modules
make[1]: Entering directory `/usr/src/kernels/3.8.1-201.fc18.x86_64'
  Building modules, stage 2.
  MODPOST 2 modules
make[1]: Leaving directory `/usr/src/kernels/3.8.1-201.fc18.x86_64'
make -C /lib/modules/3.8.1-201.fc18.x86_64/build M=/home/a/compat-drivers-2013-02-20-u "INSTALL_MOD_DIR=updates"  \
	modules_install
make[1]: Entering directory `/usr/src/kernels/3.8.1-201.fc18.x86_64'
  INSTALL /home/a/compat-drivers-2013-02-20-u/compat/compat.ko
Can't read private key
  INSTALL /home/a/compat-drivers-2013-02-20-u/drivers/net/ethernet/atheros/alx/alx.ko
Can't read private key
  DEPMOD  3.8.1-201.fc18.x86_64
make[1]: Leaving directory `/usr/src/kernels/3.8.1-201.fc18.x86_64'
Updating Fedora's initramfs for 3.8.1-201.fc18.x86_64 under /boot/ ...

Note: iwl4965 detected, we're going to disable it. If you would like to enable it later you can run:
    sudo iwl-load iwl4965

Running iwl-enable iwlagn...
modprobe: invalid option -- 'l'
Module iwl4965 not detected -- this is fine
modprobe: invalid option -- 'l'
depmod will prefer updates/ over kernel/ -- OK!
Comment 28 Phil V 2013-03-09 21:19:57 EST
A second issue is that when I suspend & resume:

* The ethernet connection does not work.
* The GNOME menubar Network-Manager applet falsely reports that the ethernet cable is unplugged. 

I found that if I issue the commands

[root@localhost compat-drivers-2013-02-20-u]# modprobe -rv alx
[root@localhost compat-drivers-2013-02-20-u]# modprobe  -v alx

Results:

rmmod alx
rmmod compat
insmod /lib/modules/3.8.1-201.fc18.x86_64/updates/compat/compat.ko 
insmod /lib/modules/3.8.1-201.fc18.x86_64/updates/drivers/net/ethernet/atheros/alx/alx.ko 

and the connection works again.


2) Is this what I should be doing?

3) If so, where do I put these commands so they can be executed every resume?
Comment 29 Andrew 2013-03-17 13:29:36 EDT
I have a new ASUS R503U laptop and can confirm that my model is affected by this bug as well. I see a lot of ideas but would prefer not to attempt them all if possible. Please advise with the most successful yet least complex / sloppy method currently available.
Comment 30 Gilboa Davara 2013-03-18 03:29:17 EDT
It's fairly simple:
- Download and unpack the latest compat drivers package.
- scripts/drivers-select alx
- $ make
- $ make install
- $ modprobe alx

Done.
Comment 31 George Constantinou 2013-03-18 09:27:27 EDT
Hi Andrew,

Please note per Gilboa's instructions, all steps except step one should be executed through the terminal from the location of the unpacked folder (usually named "compat-drivers...")

Another note, step two should be: ./scripts/drivers-select alx

(In reply to comment #29)
> I have a new ASUS R503U laptop and can confirm that my model is affected by
> this bug as well. I see a lot of ideas but would prefer not to attempt them
> all if possible. Please advise with the most successful yet least complex /
> sloppy method currently available.
Comment 32 Marc Ponschab 2013-03-18 09:46:52 EDT
To automatically enable alx after suspend/resume place create a file "/etc/pm/sleep.d/alx_wooden_hammer.sh":
______________________
#!/bin/sh
case "$1" in
  suspend|hibernate)
    rmmod alx
    ;;
  resume|thaw)
    modprobe alx
    ;;
esac
exit 0
______________________

and make it executable:

chmod u+x /etc/pm/sleep.d/alx_wooden_hammer.sh
Comment 33 Gustavo Farias dos Santos 2013-03-22 14:18:18 EDT
I make process and worked, but is traveling with 10 megabytes per second of transfer, when my card of network is 1 Gigabit, have to travel on to 100 megabytes per second, as the rest of my network.

This happened to anyone else?

Thank's
Comment 34 Gilboa Davara 2013-03-23 14:25:02 EDT
Which protocol is being used to measure the performance?

FWIW I've reached ~40Mbps using NFS on my Asus NJ56, which is OK given the relatively slow drive on the laptop.

- Gilboa
Comment 35 Piruthiviraj Natarajan 2013-03-24 13:08:49 EDT
Debian has added alx package to its latest kernel image 3.2.0.39. Can't fedora add this package as well?
Comment 36 PaoloB 2013-03-26 07:21:19 EDT
HI, I have Asus vivobook s200
fedora 18 UEFI installed 
try 

https://www.kernel.org/pub/linux/kernel/projects/backports/2013/03/04/compat-drivers-2013-03-04-u.tar.bz2

but I have 
Can't read private key

we need a package signed !!!
Comment 37 markusN 2013-03-26 08:15:03 EDT
(In reply to comment #36)
> HI, I have Asus vivobook s200
...

I have the same, see comment #16

> we need a package signed !!!

Not sure if related: I switched off "Secure boot" in the BIOS, 
no such problem here.
Comment 38 PaoloB 2013-03-26 08:36:15 EDT
(In reply to comment #37)
> (In reply to comment #36)
> > HI, I have Asus vivobook s200
> ...
> 
> I have the same, see comment #16
> 
> > we need a package signed !!!
> 
> Not sure if related: I switched off "Secure boot" in the BIOS, 
> no such problem here.

My wife need win 8 (sorry), so I can't disable "Secure boot"
Comment 39 Fedora End Of Life 2013-04-03 15:29:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 40 Sam P 2013-04-16 09:16:25 EDT
So, are we going to see anything upstream for 18 at this point? Or is the drama with the atl1c/atl1e still holding things up?
Comment 41 Steve R 2013-04-21 13:35:18 EDT
(In reply to comment #32)
> To automatically enable alx after suspend/resume place create a file
> "/etc/pm/sleep.d/alx_wooden_hammer.sh":
> ______________________
> #!/bin/sh
> case "$1" in
>   suspend|hibernate)
>     rmmod alx
>     ;;
>   resume|thaw)
>     modprobe alx
>     ;;
> esac
> exit 0
> ______________________
> 
> and make it executable:
> 
> chmod u+x /etc/pm/sleep.d/alx_wooden_hammer.sh

It appears that the /etc/pm/sleep.d functionality isn't used anymore, I created a script that works for me for sleep (not hibernate, but could be unrelated):
===========
cat /usr/lib/systemd/system-sleep/alx_wooden_hammer.sh 
#!/bin/bash
LOADED=`lsmod | grep alx`
case "$1" in
        pre)
                case "$2" in
                suspend|hibernate|hybrid-sleep)
                rmmod alx
                ;;
                *)
                echo "Unknown second pre command for $0"
                esac
        ;;
        post)
                case "$2" in
                suspend|hibernate|hybrid-sleep)
                [[ $LOADED ]] && rmmod alx && modprobe alx || modprobe alx
                ;;
                *)
                echo "Unknown second post command for $0"
                ;;
                esac
        ;;
        *)
        echo "$0 not called correctly" | tee -a /var/log/messages
        ;;
esac
exit 0
=========

I too would love to see this put upstream for 18 and not have to backport a fix that is put into 19.
Comment 42 George Constantinou 2013-04-21 17:56:41 EDT
(In reply to comment #41)
> (In reply to comment #32)
> > To automatically enable alx after suspend/resume place create a file
> > "/etc/pm/sleep.d/alx_wooden_hammer.sh":
> > ______________________
> > #!/bin/sh
> > case "$1" in
> >   suspend|hibernate)
> >     rmmod alx
> >     ;;
> >   resume|thaw)
> >     modprobe alx
> >     ;;
> > esac
> > exit 0
> > ______________________
> > 
> > and make it executable:
> > 
> > chmod u+x /etc/pm/sleep.d/alx_wooden_hammer.sh
> 
> It appears that the /etc/pm/sleep.d functionality isn't used anymore, I
> created a script that works for me for sleep (not hibernate, but could be
> unrelated):
> ===========
> cat /usr/lib/systemd/system-sleep/alx_wooden_hammer.sh 
> #!/bin/bash
> LOADED=`lsmod | grep alx`
> case "$1" in
>         pre)
>                 case "$2" in
>                 suspend|hibernate|hybrid-sleep)
>                 rmmod alx
>                 ;;
>                 *)
>                 echo "Unknown second pre command for $0"
>                 esac
>         ;;
>         post)
>                 case "$2" in
>                 suspend|hibernate|hybrid-sleep)
>                 [[ $LOADED ]] && rmmod alx && modprobe alx || modprobe alx
>                 ;;
>                 *)
>                 echo "Unknown second post command for $0"
>                 ;;
>                 esac
>         ;;
>         *)
>         echo "$0 not called correctly" | tee -a /var/log/messages
>         ;;
> esac
> exit 0
> =========
> 
> I too would love to see this put upstream for 18 and not have to backport a
> fix that is put into 19.

Thanks very much Steve, this worked!
Comment 43 Josh Boyer 2013-06-18 07:48:20 EDT
*** Bug 975294 has been marked as a duplicate of this bug. ***
Comment 44 Piruthiviraj Natarajan 2013-07-04 10:20:01 EDT
https://www.kernel.org/pub/linux/kernel/projects/backports/2013/06/18/backports-20130618.tar.bz2

Does this mean 3.10 kernel will have alx support?
Comment 45 Piruthiviraj Natarajan 2013-07-04 10:23:10 EDT
http://patchwork.ozlabs.org/patch/253097/
Comment 46 Josh Boyer 2013-07-05 08:34:54 EDT
(In reply to Piruthiviraj Natarajan from comment #44)
> https://www.kernel.org/pub/linux/kernel/projects/backports/2013/06/18/
> backports-20130618.tar.bz2
> 
> Does this mean 3.10 kernel will have alx support?

No.  3.11 will contain a simplified alx driver for AR816x/AR817x devices.
Comment 47 Marc Ponschab 2013-07-05 08:46:59 EDT
(In reply to Josh Boyer from comment #46)
> No.  3.11 will contain a simplified alx driver for AR816x/AR817x devices.

Seems to be in 3.10:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=ab69bde6b2e9c37456eeb0051a185446336aef9f
Comment 48 Josh Boyer 2013-07-05 08:51:16 EDT
(In reply to zaptac from comment #47)
> (In reply to Josh Boyer from comment #46)
> > No.  3.11 will contain a simplified alx driver for AR816x/AR817x devices.
> 
> Seems to be in 3.10:
> 
> http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/
> ?id=ab69bde6b2e9c37456eeb0051a185446336aef9f

Oh, you are correct.  I misread my git describe output this morning.

So this should be in rawhide kernels right now.
Comment 49 Jonathan Dieter 2013-07-23 04:21:51 EDT
FWIW, I've put together an akmod package for the alx module.  I was thinking about submitting it to RPM Fusion, but, since the module has been upstreamed in 3.10, I don't think it's worth the effort.

The akmod should work with F19 and reasonably up-to-date F18, and also works with cards with the id 1969:e091.  Please note that you'll need the RPM Fusion Free repository enabled to build and install the RPMS.

SRPMS:
http://lesloueizeh.com/jdieter/alx-kmod-0.1-0.3.fc19.src.rpm
http://lesloueizeh.com/jdieter/alx-kmod-common-0.1-0.1.fc19.src.rpm

RPMS (F19, x86_64):
http://lesloueizeh.com/jdieter/akmod-alx-0.1-0.3.fc19.x86_64.rpm
http://lesloueizeh.com/jdieter/alx-kmod-common-0.1-0.1.fc19.noarch.rpm
Comment 50 klaus 2013-07-26 13:22:33 EDT
Got a new mobo with atheros network card on it, same problem as you guys have.
Was looking forward to install Fedora 19 - had this on a hd on old mobo and did like it sooo much, but cannot install from network, nor update any installed version, since network simply not available. Please get this bug handled asap and include patch in all your F 19 installation downloads.

Regarding # 49:

Do I need both RPMS? Is there i686 versions? (Can't use x86_64 now)
Comment 51 Jonathan Dieter 2013-07-26 17:05:15 EDT
(In reply to klaus from comment #50)
> Regarding # 49:
> 
> Do I need both RPMS? Is there i686 versions? (Can't use x86_64 now)

Yes, you do need both RPMs. If you're feeling adventurous, you could try building the i686 RPM from the src RPMs. Otherwise, if I have some time tomorrow, I'll push out an i686 build.
Comment 52 moshe nahmias 2013-07-28 12:53:47 EDT
Just updated the system and the card works out of the box with kernel 3.10 :)
I am with fedora 19
Comment 53 Pierre-Yves Luyten 2013-07-28 16:13:51 EDT
works here too

$ uname -r
3.10.3-300.fc19.x86_64
Comment 54 klaus 2013-07-28 16:35:44 EDT
Well nice if you can update the system. I have no option to update anything without a network available.
Comment 55 moshe nahmias 2013-07-28 16:40:16 EDT
You can install the compat drivers (you can download them from another computer). all you need it to be able to compile it on the targeted system. If you can't compile there thats going to be a problem (I know it's possible to download everything on another computer but that is not so easy)
Comment 56 klaus 2013-08-06 17:15:02 EDT
(In reply to moshe nahmias from comment #55)
> You can install the compat drivers (you can download them from another
> computer). all you need it to be able to compile it on the targeted system.
> If you can't compile there thats going to be a problem (I know it's possible
> to download everything on another computer but that is not so easy)

Followed instructions at http://unix.stackexchange.com/questions/82225/how-can-i-install-the-atheros-ar8161-drivers-without-an-internet-connection

but get error:

make:*** /lib/modules/3.9.0-0.rc6.git2.3.fc19.i686.PAE/build:
File or directory not found. End. 
make: *** [modules] error 2

maybe kernel headers and kernel development files missing to build the module ?
what do i need and where can I download from?
Comment 57 Gilboa Davara 2013-08-07 03:20:09 EDT
1. Why are you running a very old rc kernel (3.9.0-0.rc6) when both 3.9 and 3.10 have already been released?
2. Do you have kernel-devel installed? (Or actually kernel-PAE-devel).

- Gilboa
Comment 58 markusN 2013-08-07 05:14:00 EDT
(In reply to markusN from comment #16)
> I have a new ASUS VivoBook S200E, same ethernet problem

For the record: I now migrated to F19 and now the ethernet card 
is supported. Kernel is 3.10.4-300.fc19.

thanks!
Comment 59 Marc Ponschab 2013-08-07 05:23:54 EDT
(In reply to klaus from comment #56)
> what do i need and where can I download from?

Just install http://ftp.tu-chemnitz.de/pub/linux/fedora/linux/updates/19/i386/kernel-3.10.4-300.fc19.i686.rpm and you are good. Nothing to build, the kernel package contains a working alx module.
Comment 60 klaus 2013-08-07 17:32:14 EDT
(In reply to zaptac from comment #59)
> (In reply to klaus from comment #56)
> > what do i need and where can I download from?
> 
> Just install
> http://ftp.tu-chemnitz.de/pub/linux/fedora/linux/updates/19/i386/kernel-3.10.
> 4-300.fc19.i686.rpm and you are good. Nothing to build, the kernel package
> contains a working alx module.

Thank you very much zaptac. That kernel 3.10 download solved it for me.
Comment 61 Dave Hardy 2014-02-05 19:13:17 EST
Like some others here I have got as far as downloading and moving the alx drivers to the Red Hat 6.5 machine and there they sit;  can't run the make and install without first doing the kernel-headers and kernel-devel gcc updates but can't do that without net access.  Conundrum.  For frosting on the cake I'm a new Red Hat subscriber but can't register the system, either, obviously, so I can get the updates.  Thoughts?
Comment 62 Josh Boyer 2014-02-12 12:10:35 EST
If you're trying to get this working on RHEL 6.5, you should open a problem report against that.  This bug isn't going to get things fixed in RHEL.
Comment 63 Dave Hardy 2014-02-17 18:48:37 EST
Still hanging here with a new RHEL 6.5 machine and after opening a problem report and following the recommended procedures ("You can simply create local repository of RHEL DVD iso."), which I did, I ran smack up against a series of yum commands which I obviously can't execute w/o net access.  So still no updates, no registration, and no driver for the Atheros 8161 Gigabit ethernet controller.  A chicken-and-egg conundrum and so far sneaker-net hasn't been much help. 

Am I missing something here?  Or do I have to wait for Qualcomm to come up with the drivers?
Comment 64 Dave Hardy 2014-02-18 12:43:02 EST
Latest response:

"No problem. You can install the gcc* and make packages and then even after installing new kernel package you are not getting the network device up, then please contact your hardware vendor and ask them for the driver file. They will give you the driver file which you can download the compile on your machine to get the network device detected."

"How to compile and how to install that third party network driver? this kind of procedure can be given by your hardware vendor himself, so you can ask him those questions in initial update only."

Except Qualcomm, since buying Atheros, does not have a RHEL/CentOS/Fedora driver file for that controller yet.  So I don't see how installing the gcc and packages is going to help here.

Note You need to log in before you can comment on or make changes to this bug.